%global _vpath_srcdir ..

%global common_desc							Arc is a flat theme with transparent elements for GTK 3, GTK 2 and	Gnome-Shell which supports GTK 3 and GTK 2 based desktop environments	like Gnome, Budgie, Pantheon, XFCE, Mate, etc.


Name:		arc-theme
Version:	20220405
Release:	1
Summary:	Flat theme with transparent elements

License:	GPLv3+
URL:		https://github.com/jnsh/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk3-devel
BuildRequires:	gtk-murrine-engine
BuildRequires:	inkscape
BuildRequires:	optipng
BuildRequires:	sassc
BuildRequires:	make
BuildRequires:	meson
BuildRequires:	gnome-shell

Requires:	filesystem
Requires:	gtk-murrine-engine
Requires:	gnome-themes-extra

%description
%{common_desc}


%prep
%autosetup -p 1

%build
%{__mkdir} -p regular solid

pushd regular
%meson -Dthemes=gnome-shell,gtk2,gtk3,metacity,xfwm
%meson_build
popd

pushd solid
%meson -Dthemes=gnome-shell,gtk2,gtk3,metacity,xfwm -Dtransparency=false
%meson_build
popd

%install
pushd regular
%meson_install
popd

pushd solid
%meson_install
popd

%files
%license AUTHORS COPYING
%doc README.md
%{_datadir}/themes/*

%changelog
* Fri Jun 24 2022 Steve Susbauer <ssusbauer@fedoraproject.org> - 20220405-1
- Initial build for EL 20220405-1
